View Issue Details

IDProjectCategoryView StatusLast Update
0016281ScribusScripterpublic2020-11-07 14:52
Reporterntfoster Assigned Tojghali  
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformPCOSWindowsOS Version10
Product Version1.5.5 
Target VersionFixed in Version1.5.6.svn 
Summary0016281: No shadows in PDF exported while setRedraw(False)
DescriptionWhen using a script to export a PDF after setRedraw(False) has been set, any objects with a drop shadow will be missing that shadow in the output PDF.
Steps To ReproduceCreate a new file, create a shape (e.g. a square) and apply a drop shadow.

In a script, or in the script console, run these commands (substituting a valid filename):
setRedraw(False)
pdf = PDFfile()
pdf.file = "c:\users\ntfostert\desktop\shadow-test.pdf"
pdf.save()
setRedraw(True)

Additional InformationThis can obviously be worked around by moving or removing the setRedraw(False) line in the script, so it probably isn't a big problem, but this tripped me up in a complex script and I spent a while trying to narrow it down.
Tagsdrop shadow, export to PDF, redraw, scripter, shadow
PatchNo

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2020-10-25 22:55 ntfoster New Issue
2020-10-25 22:55 ntfoster Tag Attached: drop shadow
2020-10-25 22:55 ntfoster Tag Attached: export to PDF
2020-10-25 22:55 ntfoster Tag Attached: redraw
2020-10-25 22:55 ntfoster Tag Attached: scripter
2020-10-25 22:55 ntfoster Tag Attached: shadow
2020-10-27 10:34 jghali Assigned To => jghali
2020-10-27 10:34 jghali Status new => resolved
2020-10-27 10:34 jghali Resolution open => fixed
2020-10-27 10:34 jghali Fixed in Version => 1.5.6.svn
2020-11-07 14:52 cbradney Status resolved => closed